Subject: Extension prerequisites?

From: "D. J. Bernstein" <[email-masked]>
Date: 15 Jan 2000 01:11:27 -0000

This is a general question to anyone who's working on DNS extensions.
Are you relying on any BIND behavior from un-extended servers? Are you,
for example, assuming that servers will handle bogus packets in some
particular way?

If so, you should be aware that I've recently released the beta version
of a new DNS package, including a stub resolver library (dns.a), a cache
(dnscache), and a non-recursive server (tinydns). The package competes
directly with BIND and is being deployed rapidly.

The code borrows nothing from the BIND code. There's no a-priori reason
to believe that it matches your assumptions. So please tell me, as soon
as possible, what you're relying on.

You can download the code from http://cr.yp.to/dnscache/install.html if
you want to carry out your own tests. Note that dnscache doesn't allow
third-party queries, so most tests can't be carried out remotely. Some
documentation is available from http://cr.yp.to/dnscache.html.

---Dan